package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.Collectorwireproject;
import com.ruoyi.predict.mapper.CollectorwireprojectMapper;
import com.ruoyi.predict.service.ICollectorwireprojectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * CollectorwireprojectService业务层处理
 *
 * @author hlf
 * @date 2021-08-02
 */
@Service
public class CollectorwireprojectServiceImpl implements ICollectorwireprojectService {
    @Autowired(required = false)
    private CollectorwireprojectMapper collectorwireprojectMapper;

    /**
     * 查询Collectorwireproject
     *
     * @param collectorwireNo CollectorwireprojectID
     * @return Collectorwireproject
     */
    @Override
    public Collectorwireproject selectCollectorwireprojectById(Long collectorwireNo) {
        return collectorwireprojectMapper.selectCollectorwireprojectById(collectorwireNo);
    }

    /**
     * 查询Collectorwireproject列表
     *
     * @param collectorwireproject Collectorwireproject
     * @return Collectorwireproject
     */
    @Override
    public List<Collectorwireproject> selectCollectorwireprojectList(Collectorwireproject collectorwireproject) {
        return collectorwireprojectMapper.selectCollectorwireprojectList(collectorwireproject);
    }

    /**
     * 新增Collectorwireproject
     *
     * @param collectorwireproject Collectorwireproject
     * @return 结果
     */
    @Override
    public int insertCollectorwireproject(Collectorwireproject collectorwireproject) {
        return collectorwireprojectMapper.insertCollectorwireproject(collectorwireproject);
    }

    /**
     * 修改Collectorwireproject
     *
     * @param collectorwireproject Collectorwireproject
     * @return 结果
     */
    @Override
    public int updateCollectorwireproject(Collectorwireproject collectorwireproject) {
        return collectorwireprojectMapper.updateCollectorwireproject(collectorwireproject);
    }

    /**
     * 删除Collectorwireproject信息
     *
     * @param collectorwireNo CollectorwireprojectID
     * @return 结果
     */
    @Override
    public int deleteCollectorwireprojectById(Long collectorwireNo) {
        return collectorwireprojectMapper.deleteCollectorwireprojectById(collectorwireNo);
    }

    @Override
    public Collectorwireproject selectCollectorwireproject(Long windplantNo, Long projectNo, Long collectorwireNo) {
        return collectorwireprojectMapper.selectCollectorwireproject(windplantNo, projectNo, collectorwireNo);
    }

    @Override
    public List<Collectorwireproject> selectCollectorwireprojectByProjectNo(Long windplantNo, Long projectNo) {
        return collectorwireprojectMapper.selectCollectorwireprojectByProjectNo(windplantNo, projectNo);
    }

    @Override
    public Long selectNewData() {
        return collectorwireprojectMapper.selectNewData();
    }

    @Override
    public int deleteCollectorwireprojectByWindplantNo(Long windplantNo) {
        return collectorwireprojectMapper.deleteCollectorwireprojectByWindplantNo(windplantNo);
    }

    @Override
    public List<Collectorwireproject> selectCollectorwireprojectByWindplantNo(Long windplantNo) {
        return collectorwireprojectMapper.selectCollectorwireprojectByWindplantNo(windplantNo);
    }

    @Override
    public int deleteCollectorwireprojectByProjectNo(Long projectNo) {
        return collectorwireprojectMapper.deleteCollectorwireprojectByProjectNo(projectNo);
    }
}
